nz-card(nzBordered="false")
  form(nz-form, [formGroup]="form", nzLayout="vertical")
    nz-form-item
      nz-form-label(nzFor="workflow")
        span By workflow
      nz-form-control
        nz-select(id="workflow", formControlName="workflow", nzShowSearch, nzAllowClear, nzPlaceHolder="Select a workflow")
          nz-option(*ngFor="let workflow of workflows", [nzLabel]="workflow.name", [nzValue]="workflow.id")

    nz-form-item
      nz-form-label(nzFor="module")
        span By module
      nz-form-control
        nz-select(id="module", formControlName="module", nzShowSearch, nzAllowClear, nzPlaceHolder="Select a module")
          nz-option(*ngFor="let module of modules", [nzLabel]="module.name", [nzValue]="module.id")

    nz-form-item
      nz-form-label(nzFor="status")
        span With Status
      nz-form-control
        nz-select(id="state", formControlName="state", nzShowSearch, nzAllowClear, nzPlaceHolder="Select a status")
          nz-option(*ngFor="let item of executionStates", [nzLabel]="item | ryaxExecutionStateLabel", [nzValue]="item")
